import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class SizesHelper {
  static Widget ScreenConfig(
      {double? width, double? height, required MaterialApp builder}) {
    return ScreenUtilInit(
      designSize: getSizeDevice(width, height),
      minTextAdapt: true,
      splitScreenMode: true,
      builder: (context, child) => builder,
    );
  }

  static Size getSizeDevice(double? widthSize, double? heightSize) {
    Size? size = WidgetsBinding.instance?.window.physicalSize;
    var width = widthSize ?? 375;
    var height = widthSize ?? 812;
    if (size != null) {
      print("SIZE DEVICE: ========H:${size.height} - W:${size.width}");
      print("SIZE DEVICE: ========${size.height / size.width}");
      final sizeMath = size.height / size.width;
      if (sizeMath < 1.662) {
        width = 375;
        height = 667;
      } else if (sizeMath < 1.67) {
        width = 375;
        height = 812;
      } else if (sizeMath < 2.56) {
        width = 375;
        height = 812;
      } else {
        width = 375;
        height = 812;
      }
    }
    print("SIZE DEVICE: ========WIDTH : $width - HEIGHT : $height");
    return Size(width, height);
  }
}
